# Scanvox for NVDA

* Author: Nael Sayegh
* URL: [infos@nael-accessvision.com](mailto:infos@nael-accessvision.com)
* Download the [stable version][1];
* NVDA Compatibility: 2021.3 and above;
* [Source code on GitHub][2];

# Presentation

This add-on uses the Scanvox software to read your paper documents. It was created with the help of the software developer and does not require any additional installation.

## Prerequisites 

To use this add-on, you must have a USB scanner connected to your computer that is compatible with TWAIN or WIA, which is the case with most scanners.

## How it works

To use this add-on, go to the NVDA Tools menu, then select Scanvox. In this dialog, you can start a scan by clicking on the Scan button. The scan takes a few seconds to start, and then, at the end of the scanning process, the scanned text is automatically read out loud. You can deactivate automatic playback by going to the NVDA settings menu, then to the scanvox for NVDA category. Press this button until all pages have been scanned. Once finished, you can read the different scanned pages by doing shift+tab from the scanned button or by doing alt+t to access an editing area with the content of all the pages or you can save the file or open it directly in Notepad using the corresponding buttons.
If you want to delete the scanned pages to scan a new document, you can press the button to cancel all scanned pages.
When you exit Scanvox, all scanned pages are erased.

### Keyboard Shortcuts

The add-on "Scanvox for NVDA" can be launched from anywhere on your computer by pressing nvda+alt+s. This gesture can be modified in the input gestures dialog.

## Changes

### Version 2024.03.20

  * Addition of Czech translation
  * Addition of Portuguese translation
  * Addition of an editing area before the scan button allowing to immediately read the text that has just been scanned
  * Add a parameter to disable / enable automatic reading of a document, go to the NVDA settings menu then Scanvox for NVDA
  * Addition of Russian translation

### Version 2024.01.10

  * Update system modification to add a "What's New" button that opens the help with the new features of the version
  * Addition of automatic reading of the scanned page after scanning
  * Addition of a page separator in the file (20 asterisks) to indicate when the page changes

### Version 2024.01.03

  * Updated French Help

### Version 2023.12.29

  * First version

[1]: https://github.com/Nael-Sayegh/scanvox-for-nvda/releases/download/2024.03.20/scanvox-2024.03.20.nvda-addon

[2]: https://github.com/Nael-Sayegh/scanvox-for-nvda
